<?php
$date = urlencode($data['date']);

$createUrl = array(
	'plugin' => 'buzz_waivers',
	'controller' => 'waivers',
	'action' => 'create_waivers',
	$data['reference'],
	$date
);

$participantUrl = array(
	'plugin' => 'buzz_waivers',
	'controller' => 'waivers',
	'action' => 'participants',
	$participants[$data['reference']]
);

if (! empty($kiosk)):
	$participantUrl = '/kiosk/' . $this->Html->url($participantUrl);
	$createUrl = '/kiosk/' . $this->Html->url($createUrl);
endif;
?>
<?php if (! empty($participants[$data['reference']])): ?>
	<?php
	$buttonText = __d('buzz_waivers', 'View Participant Details');

	if (! isset($data['waiverCompleted'])):
		$buttonText = __d('buzz_waivers', 'Sign Waivers');
	endif;

	?>

	<div class="row">
		<div class="col-xs-12 text-right">
			<?=$this->Html->link($buttonText . ' <i class="fa fa-chevron-circle-right"></i>', $participantUrl, array(
				'escape' => false,
				'class' => 'button confirm-btn'
			))?>
		</div>
	</div>
<?php else: ?>
	<?php
	$buttonText = __d('buzz_waivers', 'Sign Waivers');
	
	?>

	<div class="row">
		<div class="col-xs-12 text-right">
			<?=$this->Html->link($buttonText . ' <i class="fa fa-chevron-circle-right"></i>', $createUrl, array(
				'escape' => false,
				'class' => 'button confirm-btn'
			))?>
		</div>
	</div>
<?php endif; ?>
